@import '../../vars';

.sliderContainer {
  position: relative;
  width: 100%;
  height: 100%;
  max-width: calc(100vw - 20px);

  @media (min-width: $viewportMedium) {
    max-width: 100%;
  }

  @media (min-width: $viewportLarge) {
    max-width: 527px;
    max-height: 427px;
  }
}

.swiper-container {
  width: 100%;
  height: 100%;
}

.swiperButton {
  display: none;
}

.sliderContainer:hover .swiperButton {
  @media (min-width: $viewportMedium) {
    display: flex;
  }
}

.swiperPagination {
  @media (max-width: 480px) {
    position: absolute;
    bottom: 0 !important;
  }
}

.pagination-bullet {
  background: none;
  opacity: 0.5;
  padding: 0 3px;
}

.pagination-bullet-active {
  transform: scale(1.4);
  opacity: 0.9;
}

/* CATEGORY === IMAGES  */
.image {
  width: 100%;
  height: 100%;
  max-height: 266px;
  object-fit: cover;
}

.spacesImage {
  display: block;
  width: 100%;
  height: 266px;
  max-width: 100%;
  object-fit: cover;

  @media (min-width: $viewportSmall) {
    height: 360px;
  }

  @media (min-width: $viewportMedium) {
    height: 400px;
  }

  @media (min-width: $viewportLarge) {
    height: 427px;
    width: 527px;
  }
}

.spacesInfoContainer {
  z-index: 100;
  width: calc(100% - 50px);
  position: absolute;
  bottom: 16px;
  left: 25px;

  @media (min-width: $viewportSmall) {
    bottom: 10px;
  }

  @media (min-width: $viewportMedium) {
    left: 10px;
  }
}

.spacesTitle,
.spacesLocation {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: white;
  margin: 0;
  padding: 0;
}

.spacesTitle {
  font-size: 16px;
  font-weight: bold;
}

.spacesLocation {
  font-size: 14px;
}

/* CATEGORY === REVIEWS  */
.sliderContainerReviews {
  width: 100%;
  max-width: 700px;
}

.sliderContainerReviews .swiperButton {
  display: flex;
  top: 70%;
}

.sliderContainerReviews .swiperPagination {
  display: none;
}

.reviewsSlideContainer {
  width: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 0 40px;

  @media (min-width: $viewportSmall) {
    padding: 0 50px;
  }

  @media (min-width: $viewportMedium) {
    padding: 0 80px;
  }
}

.reviewImage {
  width: 140px;
  height: 140px;
  border-radius: 100px;
}

/* text container wil fill parent conatiner, demo uses a span element and styling applied to the span element controls the text displayed. */
.textSlideContainer {
  width: 100%;
  height: 100%;
  max-height: 100px;
}

.textContainer {
  height: 100%;
  max-height: 100px;

  /* added border to help visibility */
  border: 1px solid black;
}

.textContainer:first-child {
  height: 100%;
  max-height: 100px;
}

/* hide buttons and bullets */
.sliderContainer.textContainer .swiperButton {
  display: none;
}

.sliderContainer.textContainer:hover .swiperButton {
  display: none;
}

.sliderContainer.textContainer .swiperPagination {
  display: none;
}
